com.retroarch

From F-Droid
Jump to: navigation, search

RetroArch

Name: RetroArch

ID: com.retroarch

License: GPL-3.0-or-later

Site: http://www.libretro.com

Issues: https://github.com/libretro/RetroArch/issues

Source: https://github.com/libretro/RetroArch

Activity: https://gitlab.com/search?group_id=28397&scope=issues&search=com.retroarch

Donate: None

Bitcoin: None

Added:

Updated: (buildlog)

Modular multi-system emulator - view in repository

Description

RetroArch is a modular multi-system game/emulator system that is designed to be fast, lightweight, and portable. It allows emulator developers to implement their emulators as special libraries (RetroArch cores) to target wide range of platforms, including game consoles and mobile devices, without writing any platform-specific code.

Latest F-Droid build supports following systems:

  • PlayStation 1 via Mednafen PSX (x86/MIPS) and PCSX ReARMed (ARM)
  • Super Nintendo Entertainment System with bSNES (x86/ARM only)
  • VisualBoyAdvance with VBA-M
  • Atari 2600 with Stella
  • Cave Story aka Dōkutsu Monogatari pseudo-system with NxEngine

Maintainer Notes

Releases are hard to pinpoint. Tags currently make sense for desktop version only. See http://www.libretro.com/index.php/downloads/ for exact release dates. Some modules have to be built from commits published after upstream release to fix compilation issues, everything else comes from commits as close to apk publishing date as possible.

See also: https://github.com/libretro/RetroArch/wiki/Compilation-guide-(Android-from-Linux) https://github.com/libretro/libretro-super/blob/HEAD/libretro-fetch.sh https://github.com/libretro/libretro-super/blob/HEAD/libretro-build-android-mk.sh

Version codes:

+0: - (upstream)
+1: armv7
+2: mips
+3: x86 (CV)

Metadata: current history

Versions

We don't have the current version of this app. (Check mode: None) (Auto-update mode: None)

The current (recommended) version is 1.0.0.2 (version code 39).

1.0.0.2

We can't build this version: The build for this version was manually disabled. Reason: crash

Version code: 39

1.0.0.2

We can't build this version: The build for this version was manually disabled. Reason: crash

Version code: 38

1.0.0.2

We can't build this version: The build for this version was manually disabled. Reason: crash

Version code: 37